#!/bin/sh

status=unknown
   isp=default

while true
do
  case $status in
    up)   buttons=DISCONNECT:2,STATUS:3,CLOSE:4
            title="PPP ($isp) - CONNECTED" ;;
    down) buttons=CONNECT:1,STATUS:3,CLOSE:4
            title="PPP ($isp) - DISCONNECTED" ;;
    *)    buttons=CONNECT:1,DISCONNECT:2,STATUS:3,CLOSE:4
            title="PPP ($isp)" ;;
  esac
  ret=`xmessage -center -print -buttons "$buttons" "$title"`
  case $ret in
    CONNECT)    pppctl -q -i=$isp up && status=up   ;;
    DISCONNECT) pppctl -q -i=$isp down; status=down ;;
    STATUS)     kterm -geometry 40x12 -T 'Press CTRL-C to close' -e sh -c "pppctl -v -s -i=$isp; sleep 60" & ;;
    CLOSE)      exit ;;
  esac
done
